/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/


/*
    Created on : Jun 24, 2021, 10:41:43 AM
    Author     : Carlos
*/

.error {
    color: red;
    font-family: bold;
}

.loaderGif {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    /*    background: url('../images/espere.gif') 50% 50% no-repeat rgb(249,249,249);*/
    background: url("../images/espere.gif") 50% 50% no-repeat #000;
    background-size: 120px 120px;
    opacity: 0.5;
}

.hidden {
    display: none;
}

.menuCustom {
    background-color: #884D54 !important;
    color: white !important;
    /*font-weight: bold;*/
    font-weight: 400;
}

.textCustom {
    color: #884D54 !important;
    font-size: 2rem;
    font-family: "Open Sans", Sans-serif;
    font-weight: 700;
}

.textCustomInterno {
    color: #8e9089 !important;
    font-weight: bold;
}

.menuCustom a {
    color: white !important;
}

.navbar-nav>ul>li>a {
    padding-top: 10px !important;
    padding-bottom: 10px !important;
    margin-right: 15px;
    font-size: 17px;
}

.img-logo {
    height: 100px;
}

.btn-cancel {
    width: 140px;
    background-color: #ffffff !important;
    color: #555;
}

.btn-siguiente {
    width: 140px;
    background-color: #013e76 !important;
}

.nav-form-one {
    background-color: #884D54 !important;
}

.nav-form-two {
    background-color: #7a7a7a !important;
}

.card-title-form {
    margin-top: -15px;
    color: #7a7a7a !important;
}

.card-form {
    border-radius: 10px;
}

.card-title-modal {
    background-color: #013e76 !important;
}

.card-title-modal-h3 {
    padding: 15px;
    color: white;
}

.btn-siguiente-modal {
    width: 61%;
    background-color: #707070 !important;
    color: white;
    font-size: 15px;
    font-weight: 500;
    text-size-adjust: 100%;
    text-decoration-style: solid;
    font-family: 'Open Sans', sans-serif;
    /*text-transform: uppercase;*/
}

.btn-siguiente-modal:hover {
    background-color: #884D54 !important;
    color: white;
}

.btn-siguiente-modal:focus {
    background-color: #884D54 !important;
    color: white;
}

.card-table {
    border-radius: 10px;
}

.card-item {
    border-radius: 5px;
}

.select-item {
    width:76px; 
    display:inline;
    margin-top: 3.5px;
    margin-bottom: 2px;
    height: 32px;
    text-align:end;
}
.option-item {
    text-align:justify;
}
.btn-search {
    background: #884D54 !important;
    color: white;
}

.icon-accion-table-true {
    color: black !important;
    cursor: pointer;
    margin-right: 5px;
}

.icon-accion-table-false {
    color: red !important;
    cursor: no-drop;
    pointer-events: pointer;
    margin-right: 5px;
}

.icon-accion-filter {
    color: #bae0bd !important;
    cursor: pointer;
    border: 1px solid #d0d0d0;
    padding: 0 7px;
    margin-right: 1%;
    height: 38px;
}

.icon-accion-create {
    color: #bae0bd !important;
    cursor: pointer;
    border: 1px solid #d0d0d0;
    padding: 0 6px;
    height: 38px;
}

.icon-font-size-table {
    font-size: 20px;
}

.icon-font-size-action {
    font-size: 26px;
    margin: 2px;
}

.nav-btn-logout {
    color: #8e9089 !important;
    font-size: 17px;
}

.nav-btn {
    color: #884D54 !important;
    font-size: 17px;
}


/* ================================================================= */

.img-table {
    width: 20px;
}

.img-social-t-y {
    width: 20px;
    color: white;
}

.img-social-f {
    width: 20px;
    height: 25px;
    color: white;
}


/* dropdown */

.dropdown-submenu {
    position: relative;
}

.dropdown-submenu a::after {
    transform: rotate(-90deg);
    position: absolute;
    right: 6px;
    top: 0.8em;
}

.dropdown-submenu .dropdown-menu {
    top: 0;
    /* left: 100%;
    margin-left: 0.1rem;
    margin-right: 0.1rem; */
}

.dropdown-item {
    padding: 0.25rem 0.5rem;
}


/* dropdown */


/* login */

.center-card {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
}

a.hcb-login-link {
    color: #CC3366 !important;
}

a.hcb-login-link:hover {
    color: #333366 !important;
}

a.hcb-login-btn-cancel {
    border: 2px solid #7A7A7A!important;
    color: #7A7A7A!important;
    background-color: #a0a6ab00 !important;
    border: 0;
    width: 140px;
}

a.hcb-login-btn-cancel:hover {
    background-color: #a0a6ab00 !important;
    color: #884D54!important;
    border: 2px solid #884D54!important;
}

button.hcb-login {
    width: 140px;
    background-color: #7A7A7A !important;
    border: 0;
}

button.hcb-login:hover {
    background-color: #884D54!important;
}

button.hcb-login:focus {
    background-color: #884D54!important;
}

button.hcb-login:active {
    background-color: #884D54!important;
}

button.hcb-cancel {
    width: 120px;
    background-color: #a0a6ab !important;
    border: 0;
}

span.hcb-login {
    width: 47px;
}

img.hcb-login-password {
    width: 25px;
    height: 17px;
    object-fit: fill;
}


/* login */


/* nav social network */

.navIcons {
    display: flex;
    flex-basis: auto;
    flex-grow: 1;
    margin-right: 10rem;
}

.navIcons .nav {
    flex-direction: row;
}


/* nav social network */


/* styles sales */

.img-logo-clinica-sales {
    width: 20%;
}

.img-logo-mi-vida-sales {
    width: 20%;
}

.card-img {
    height: 370px;
}

.img-logo-venta {
    width: min-content;
}

.btn-return {
    font-size: 50px;
    position: absolute;
    left: 30px;
    top: 0px;
    cursor: pointer;
    color: gray;
}


/* boton de pago */

.card-ui-component-heading {
    display: none !important;
}

.card-ui-component-outer {
    margin-bottom: 0px !important;
    background-color: #e9ecef !important;
    border: none !important;
    border-radius: 4px;
    box-shadow: none !important;
    width: 65% !important;
    margin: 0 auto;
}

.card-ui-component-inner-body {
    padding-top: 15px !important;
}

.card-ui-component-ddl-expiry {
    display: block;
    width: 15% !important;
    height: 34px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%);
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
    float: left;
    margin-right: 10px;
}

.card-ui-component-btn-action {
    display: inline-block;
    padding: 6px 25px !important;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
}

.border-line {
    margin-top: 20px;
    margin-bottom: 20px;
    border: 0;
    border-top: 2px solid rgb(0 0 0 / 5%) !important;
}


/* boton de pago */

.btn-siguiente {
    width: 140px;
    background-color: #707070 !important;
    border: 2px solid #707070;
    color: white;
    font-weight: bold;
    font-size: 14px;
}

.btn-siguiente:hover {
    background-color: #884D54 !important;
    color: white;
}

.btn-siguiente:focus {
    background-color: #884D54 !important;
    color: white;
}

.hcb-vi-continuar {
    width: 120px;
    background-color: #013e76 !important;
}

.hcb-vi-cancelar {
    width: 120px;
}

@media only screen and (max-width: 992px) {
    .btn-return {
        font-size: 25px;
        margin-top: 5px;
    }
}

@media only screen and (max-width: 768px) {
    .navIcons {
        margin-right: 10px;
    }
    .btn-return {
        font-size: 20px;
        margin-top: 5px;
    }
}

.w-fees-button {
    width: 100% !important;
}

.modalTRBody {
    background-color: white !important;
}

.modalTRHead {
    color: white !important;
    background-color: #884D54 !important;
}

.btnSalir:not(:disabled):not(.disabled) {
    margin-right: 0%;
}

.btn-primary-file {
    background-color: #e9ecef;
    border-color: #ced4da;
    color: #495057;
}

button.bnt-primary-large {
    width: 100%;
    background-color: #7A7A7A !important;
    border: 0;    
}   
button.bnt-primary-large:hover {
    background-color: #884D54!important;
}    
button.bnt-primary-large:focus {
    background-color: #884D54!important;    
}    
button.bnt-primary-large:active {
    background-color: #884D54!important;    
}    
.btn-secondary-large {
    background-color: #EBEAEA00 !important;
    border: 2px solid #7A7A7A;
    color: #7A7A7A !important;
    width: 100%;
    font-size: 14px;
    font-weight: 600; 
    margin-right: 1%;
}    
.btn-secondary-large:hover {
    color: #884D54 !important;
    border: 2px solid #884D54 !important;
    background-color: #EBEAEA00 !important;    
}    
.btn-secondary-large:focus {
    color: #884D54 !important;
    border: 2px solid #884D54 !important;
    background-color: #EBEAEA00 !important;
}
.btn-secondary-large:active {    
    color: #884D54 !important;
    border: 2px solid #884D54 !important;
    background-color: #EBEAEA00 !important;
}
.margin-card-filter{    
    margin: 8px 8px 0px 8px;
}
.option-wrapper {
    /* position: relative;
    margin-left: 5%;
    margin-top: 15px;
    margin-right: 5%;
    margin-bottom: 20px;
    text-align: center;
    min-height: 240px;
    border-radius: 8px;
    -webkit-box-shadow: 0 0 15px rgba(0, 0, 0, 0.4);
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.4);
    -webkit-transition: all 0.25s ease;
    -o-transition: all 0.25s ease;
    transition: all 0.25s ease;
    padding: 15px; */

    display: block;
    border-radius: 20px;
    border-color: #808080;
    border-style: solid;
    border-width: 1px;
    box-shadow: 2px 2px 4px #808080;
    margin: auto;
    min-height: 300px;
}

.option-wrapper-coverages {
    display: block;
    border-radius: 20px;
    border-color: #808080;
    border-style: solid;
    border-width: 1px;
    box-shadow: 2px 2px 4px #808080;
    margin: auto;
    min-height: 240px;
}

.option-wrapper-companies {
    display: block;
    border-radius: 20px;
    border-color: #808080;
    border-style: solid;
    border-width: 1px;
    box-shadow: 2px 2px 4px #808080;
    margin: auto;
    min-height: 200px;
}

.icon-ramo {
    margin-top: 10px;
}

.tl-ramo {
    margin-top: 10px;
    color: #8e9089 !important;
    font-weight: bold;
    font-size: 18px;
}

.button-ramo {
    position: absolute;
    bottom: 15px;
    left: 22%;
    font-size: 16px;
    background-color: #707070 !important;
    border-color: #707070 !important;
    font-weight: lighter;
}
.button-ramo :hover {
    background-color: #884D54 !important;
    color: white;
}

.button-ramo :focus {
    background-color: #884D54 !important;
    color: white;
}

.card-title-form-claim {
    margin-top: -15px;
    color: #DC0577 !important;
}

.card-claim {
    position: relative;
    display: flex;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 1px solid #DC0577;
    border-radius: 0.25rem;
}

.border_front-claim {
    display: inline-block;
    border: 1px solid #DC0577;
    border-radius: 18px;
    padding: 4px 10px 35px 10px;
    margin-top: 20px;
    background-color: #fff;
    width: 100%;
    align-content: center;
}

.span_input-group {
    border-right: 0px;
    border-radius: 0.25rem 0 0 0.25rem !important;
}

/* Estilos para el contenedor del dropdown custom*/
.custom-dropdown {
    position: relative;
}

.custom-dropdown-menu {
    display: none;
    position: absolute;
    bottom: 100%;
    left: 0;
    background-color: #f2f1f1;
    border: 1px solid #f2f1f1;
    width: 155px;
    margin-top: 10px;
    z-index: 10;
    list-style-type: none;
    padding-left: 0;
    border-radius: 5px;
    margin: 0px;
}

.custom-dropdown-item {
    background-color: #f2f1f1;
    border: none;
    padding: 10px;
    width: 100%;
    text-align: center;
    cursor: pointer;
    color: #707070;
    font-size: 14px;
    font-weight: bold;
}

.custom-dropdown-item:hover {
    background-color: #884D54;
    color: #fff; 
    border-radius: 5px;
}

.sticky-header{
    position: sticky; 
    top: -1px; 
    background-color: white; 
    color: #000; 
    border: 1px solid #e0e3e7 !important; 
    z-index: 1;
}

/* Aplica solo a tablas de la pestaña de documentos del modulo de siniestros*/
.table-documents {
    border-collapse: collapse;
    width: 100%;
    table-layout: fixed;
}

.table-documents th {
    vertical-align: middle;
}

.table-documents td {
    padding: 8px;
    text-align: center;
    word-wrap: break-word;
    white-space: normal;
    vertical-align: middle;
}


.truncated-comment {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    word-break: break-all;
    overflow-wrap: anywhere;
    line-height: 1.5em;
    max-height: 3em; 
}

/* Cambiar el color de fondo del tooltip */
.tooltip {
    transition: none !important; 
}

.tooltip.show {
    opacity: 1 !important; 
}
.tooltip-inner {
    background-color: #d9d9d9 !important;
    color: #333 !important;
    border-radius: 5px;
    font-size: 12px;
    text-align: left;
}

.tooltip.bs-tooltip-top .tooltip-arrow::before {
    border-top-color: #d9d9d9 !important;
}

.tooltip.bs-tooltip-bottom .tooltip-arrow::before {
    border-bottom-color: #d9d9d9 !important;
}

.tooltip.bs-tooltip-start .tooltip-arrow::before {
    border-left-color: #d9d9d9 !important;
}

.tooltip.bs-tooltip-end .tooltip-arrow::before {
    border-right-color: #d9d9d9 !important;
}

.claim-switch-container {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 28px;
}

.claim-switch-container input {
    opacity: 0;
    width: 0;
    height: 0;
}

.claim-switch-slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #F2F1F1;
    border-radius: 28px;
    transition: .4s;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 11px;
    font-weight: bold;
    color: #444444;
}

.claim-switch-slider:before {
    position: absolute;
    content: "";
    height: 22px;
    width: 22px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    border-radius: 50%;
    transition: .4s;
    z-index: 3;
}

input:checked + .claim-switch-slider {
    background-color: #bae0bd;
}

input:checked + .claim-switch-slider:before {
    transform: translateX(29px);
}

.claim-switch-text-si {
    position: absolute;
    left: 30%;
    transform: translateX(-30%);
    z-index: 1;
    transition: opacity 0.4s;
}

.claim-switch-text-no {
    position: absolute;
    right: 30%;
    transform: translateX(30%);
    z-index: 1;
    transition: opacity 0.4s;
}

input:checked + .claim-switch-slider .claim-switch-text-no {
    opacity: 0;
}

input:not(:checked) + .claim-switch-slider .claim-switch-text-si {
    opacity: 0;
}

input:checked + .claim-switch-slider .claim-switch-text-si {
    opacity: 1;
}

input:not(:checked) + .claim-switch-slider .claim-switch-text-no {
    opacity: 1;
}